
let nav_hum = document.querySelector('.ham');
let main_nav = document.querySelector('#main-nav');
function active(){
    nav_hum.classList.toggle('active');
    main_nav.classList.toggle('active');
}
let navHeight = document.querySelector('#header').scrollHeight;
const anchors = document.querySelectorAll('#main-nav a[href*="#"]');
const yOffset = -navHeight + 30;
for (let anchor of anchors) {
    anchor.addEventListener('click', function (e) {
        e.preventDefault();
        active();
        anchor.classList.add('active');
        const blockID = anchor.getAttribute('href').substr(1);
        const yourElement = document.getElementById(blockID);
        if (!yourElement){
            document.location.href = `/#${blockID}`;
        }
        const yCoordinate = yourElement.getBoundingClientRect().top + window.pageYOffset;
        window.scrollTo({
            top: yCoordinate + yOffset,
            behavior: 'smooth'
        });
    });
}
const hash = document.location.hash;
if (hash){
    let topY = document.querySelector(hash).getBoundingClientRect().top + window.pageYOffset;
    window.scrollBy({
        top: topY + yOffset,
        behavior: 'smooth'
    });
}

const langs = document.querySelectorAll('.main-lang a[href*="#"]');
for (let lang of langs){
    lang.addEventListener('click', function () {
        localStorage['lang'] = this.text;
        if (this.text==='rus'){
            window.location.replace("/");
        }else {
            window.location.replace("/"+this.text);
        }
    })
}
const navText = document.querySelectorAll('#main-nav a');
const engText = ['Video', 'Faceplate in numbers', 'Manufacturing challenges', 'Faceplate solutions', 'Faceplate advantages', 'For whom', 'How it works', 'Contact'];
const qazText = ['Vıdeo', 'Faceplate sandarmen', 'Óndiris máseleleri', 'Faceplate sheshimderi', 'Faceplate artyqshylyǵy', 'Kim úshin arnalǵan', 'Qalaı jumys isteıdi', 'Baılanys málimetteri'];
const engBlocks = document.querySelectorAll('.eng');
const rusBlocks = document.querySelectorAll('.rus');
const qazBlocks = document.querySelectorAll('.qaz');

if (localStorage['lang'] === 'eng'){
    changeLang(engBlocks);
    translate(engText);
}else if (localStorage['lang'] === 'qaz'){
    changeLang(qazBlocks);
    translate(qazText);
}else {
    changeLang(rusBlocks);
}

function changeLang(values) {
    for (let value of values){
        value.style = 'display:block';
    }
}
function translate(array){
    for (let i=0; i<array.length; i++){
        navText[i].innerHTML = array[i];
    }
}


let numbers = document.querySelectorAll('.statistic-block span');
let numberTop = document.querySelector('.statistic-block span').getBoundingClientRect().top;

for (let number of numbers){
    let start = +number.innerHTML,
        end = +number.dataset.max;

    window.addEventListener('scroll', function onScroll() {
        if(window.pageYOffset > numberTop - window.innerHeight / 2 || window.pageYOffset < numberTop - window.innerHeight / 2) {
            this.removeEventListener('scroll', onScroll);
            let interval = setInterval(function() {
                number.innerHTML = ++start;
                if(start === end) {
                    number.innerHTML = end+'%';
                    clearInterval(interval);
                }
            }, 10);
        }
    });
}
function showModal(){
    document.body.style = "overflow:hidden";
    document.querySelector('.feedback-form').classList.toggle('active');
    document.querySelector('.feedback-form iframe').setAttribute('scrolling', 'auto');

}

function closeModal(value){
    document.body.style = "overflow:inherit";
    document.querySelector(value).classList.toggle('active');
}


document.querySelector('.main--btn').addEventListener('click', showModal);

document.querySelector('.feedback-expert').addEventListener('click', showModal);

document.querySelector('.benefits-demo--btn').addEventListener('click', showModal);

document.querySelector('.footer-btn--'+localStorage['lang']).addEventListener('click',function () {
    document.body.style = "overflow:hidden";
    document.querySelector('.private-police').classList.toggle('active');
} );

const learnMore = document.querySelector('.cc-link');
learnMore.removeAttribute('target');
learnMore.addEventListener('click', function () {
    document.body.style = "overflow:hidden";
    document.querySelector('.cookie-modal').classList.toggle('active');
});

if( window.innerWidth <= 425 ){
    const usabilityCards = document.querySelectorAll('.usability-card');
    const usabilityTooltip = document.querySelectorAll('.usability-card--tooltip');
    for (let usabilityCard of usabilityCards){
        usabilityCard.addEventListener('click', function () {
            if(!this.querySelector('.usability-card--tooltip').classList.contains('hover')){
                usabilityTooltip.forEach(i => i.classList.remove('hover') );
            }
            this.querySelector('.usability-card--tooltip').classList.toggle('hover');
        })
    }
}
